Skip to main content
GET
List messages

Authorizations

X-API-Key
string
header
required

Your workspace's API key. It starts with b2b_sk_.

Path Parameters

conversation_id
string<uuid>
required

Query Parameters

limit
integer | null

How many rows to return in one page.

Required range: 1 <= x <= 200
before
string | null

Only messages before this time.

Maximum string length: 100

Response

Success

id
string<uuid>
required
direction
string
required
sent_at
string<date-time>
required
created_at
string<date-time>
required
body
string | null
ai_generated
boolean
default:false
note_sent
boolean | null
note_status_text
string | null
attachments
object[]